{
  "name": "cstmgames-fivem-snippets",
  "displayName": "CSTMGames FiveM Dev Tools",
  "description": "Development tools for FiveM",
  "version": "1.1.6",
  "author": {
    "name": "Chase Eller",
    "email": "chase@cstmgames.com",
    "url": "https://cstmgames.com"
  },
  "engines": {
    "vscode": "^1.110.0"
  },
  "main": "./out/extension.js",
  "activationEvents": [
    "onStartupFinished"
  ],
  "icon": "pridelogo.png",
  "repository": {
    "type": "git",
    "url": "https://git.cstmgames.dev/CSTMGames/FiveM_Snippets.git"
  },
  "publisher": "kj4lxc",
  "categories": [
    "Snippets"
  ],
  "contributes": {
    "snippets": [
      {
        "language": "lua",
        "path": "./snippets/cstmcommonfunctions.code-snippets"
      }
    ],
    "commands": [
      {
        "command": "kj4lxc.cstmgames.fivem_devtools.autoUpdate",
        "title": "Check for CSTMDev Tools Updates"
      },
      {
        "command": "kj4lxc.fivem.generate-resource",
        "title": "Generate FiveM Resource"
      }
    ],
    "menus": {
      "explorer/context": [
        {
          "when": "explorerResourceIsFolder",
          "command": "kj4lxc.fivem.generate-resource"
        }
      ]
    },
    "configuration": {
      "title": "CSTMGames FiveM Dev Tools Updater",
      "properties": {
        "cstmgames.fivem_devtools.autoUpdate": {
          "type": "boolean",
          "default": true,
          "description": "Automatically install updates"
        }
      }
    }
  },
  "dependencies": {
    "node-fetch": "^3.3.2",
    "typescript": "^5.9.3"
  },
  "devDependencies": {
    "@types/node": "^25.5.0",
    "@types/vscode": "^1.110.0",
    "vscode": "^1.1.37"
  }
}